> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.levanta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Brands

> List all brands in Levanta's marketplace



## OpenAPI

````yaml https://app.levanta.io/api/creator/v2/openapi.json get /brands
openapi: 3.1.0
info:
  version: 2.0.0
  title: Levanta Creator API v2
  description: >-
    Authorize all requests with an API key in the Authorization header as the
    second token. E.g. Authorization -> "Bearer {api_key}".
servers:
  - url: https://app.levanta.io/api/creator/v2
security: []
externalDocs:
  url: https://app.levanta.io/creator/api-docs
paths:
  /brands:
    get:
      tags:
        - Brands
      summary: List Brands
      description: List all brands in Levanta's marketplace
      operationId: CreatorListBrandsV2
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 25
            description: The maximum number of items to return
          required: false
          description: The maximum number of items to return
          name: limit
          in: query
        - schema:
            type: string
            maxLength: 512
            description: >-
              The cursor returned from the last request, if omitted the first
              page will be returned
          required: false
          description: >-
            The cursor returned from the last request, if omitted the first page
            will be returned
          name: cursor
          in: query
        - schema:
            type: string
            enum:
              - all
              - amazon.com
              - amazon.com.mx
              - amazon.co.uk
              - amazon.ca
              - amazon.de
              - amazon.es
              - amazon.fr
              - amazon.it
              - amazon.nl
              - walmart.com
              - shopify.com
            description: >-
              Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com,
              shopify.com). If "all" is specified then the scope is all
              marketplaces.
          required: true
          description: >-
            Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com,
            shopify.com). If "all" is specified then the scope is all
            marketplaces.
          name: marketplace
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: access
          in: query
        - schema:
            type: string
            description: Comma-delimited list of UUIDs representing an array
          required: false
          description: Comma-delimited list of UUIDs representing an array
          name: brandIds
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  brands:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        marketplace:
                          type: string
                          enum:
                            - amazon.com
                            - amazon.com.mx
                            - amazon.co.uk
                            - amazon.ca
                            - amazon.de
                            - amazon.es
                            - amazon.fr
                            - amazon.it
                            - amazon.nl
                            - walmart.com
                            - shopify.com
                          description: >-
                            Represents a Levanta marketplace (ex: amazon.co.uk,
                            walmart.com, shopify.com).
                        storefronts:
                          type: array
                          items:
                            type: object
                            properties:
                              url:
                                type: string
                                format: uri
                              trackingUrl:
                                type:
                                  - string
                                  - 'null'
                                format: uri
                            required:
                              - url
                              - trackingUrl
                        bio:
                          type: string
                        image:
                          type: string
                        access:
                          type: boolean
                        commissionLockPeriodDays:
                          type: integer
                      required:
                        - id
                        - name
                        - marketplace
                        - storefronts
                        - bio
                        - image
                        - access
                        - commissionLockPeriodDays
                  cursor:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The cursor to use for the next request, if empty there are
                      no more items to return
                required:
                  - brands
                  - cursor
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 401
                  message:
                    type: string
                    enum:
                      - Unauthorized
                required:
                  - status
                  - message
        '422':
          description: Input Validation Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 422
                  message:
                    type: string
                    enum:
                      - Input Validation Failed
                required:
                  - status
                  - message
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````